geo: Get geolocation fields only

API: ipinfo.io:ipinfo
Endpoint: /{ip}/geo
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 257ms

Description

Returns only the geolocation-related fields for an IP address (city, region, country, loc, postal, timezone).

Parameters (2)

ip (string, path, required)

The IP address to look up

token (string, query, optional)

Optional API token

Examples (1)

Get geolocation fields only openapi-spec
curl 'https://ipinfo.io/8.8.8.8/geo'
import requests

resp = requests.get("https://ipinfo.io/8.8.8.8/geo")
data = resp.json()
import zingu_apis

api = zingu_apis.api("ipinfo")
result = api.fetch("{ip}/geo")

for item in result:
    print(item)
const resp = await fetch("https://ipinfo.io/8.8.8.8/geo");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:24:32.633645 200 257ms
2026-04-16 02:47:58.677807 200 250ms
2026-04-15 02:05:58.887592 200 335ms
2026-04-14 00:32:08.631961 200 258ms
2026-04-12 13:19:46.155877 200 236ms
2026-04-10 06:50:32.611901 200 174ms
2026-04-09 02:20:40.667961 200 254ms
2026-04-08 00:19:29.079779 200 260ms
2026-04-07 00:49:14.365325 200 308ms
2026-04-06 04:41:32.885746 200 282ms
2026-04-05 14:27:16.500961 200 379ms